#include <stdio.h>

// deklaracia funkcie
unsigned int f_sucin(unsigned int a, unsigned int b);

int main(void)
{
    unsigned int a, b, sucin;
    do
    {
        printf("Zadaj dve cisla, ktorych sucin chces vypocitat.\n");
        scanf("%d %d", &a, &b);
    }
    while (a <= 0 || b <= 0);

    // osetrenie vstupov s pomocou cyklu s podmienkou na zaciatku - podporuje redundantnost
    /*
    printf("Zadaj dve cisla, ktorych sucin chces vypocitat.\n");
    scanf("%d %d", &a, &b);
    while (a <= 0 || b <= 0)
    {
            printf("Zadaj dve kladne cisla, ktorych sucin chces vypocitat.\n");
            scanf("%d %d", &a, &b);
    }
    */

    sucin = f_sucin(a, b); //volanie funkcie
    printf("Hodnota sucinu cisiel %d a %d je %d.\n", a, b, sucin);

    return 0;
}

// definicia funkcie
unsigned int f_sucin(unsigned int a, unsigned int b)
{
    unsigned int s = 0, i;
    for (i = 0; i < b; i++)
        s += a;
    return s;
}

// druha alternativa funkcie
/*
unsigned int f_sucin(unsigned int a, unsigned int b)
{
    unsigned int s = 0, p = 0;
    while (p < b)
    {
        p++;
        s += a;
    }
    return s;
}
*/
// tretia alternativa funkcie
/*
unsigned int f_sucin(unsigned int a, unsigned int b)
{
    unsigned int s = 0, p = 0;
    do
    {
        p++;
        s += a;
    }
    while (p < b);
    return s;
}
*/
